%define name		sim4
%define version		20020303
%define split_version	2002-03-03
%define release		1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Program to align cDNA and genomic DNA
Group:		Sciences/Biology
License:	GPL
URL:		http://globin.cse.psu.edu
Source:		%{name}.%{split_version}.tar.bz2
Patch:		%{name}.makefile.patch.bz2
BuildRoot:      %{_tmppath}/%{name}-buildroot

%description
sim4 is a similarity-based tool for aligning an expressed DNA sequence
(EST, cDNA, mRNA) with a genomic sequence for the gene.
It also detects end matches when the two input sequences overlap at one end
(i.e., the start of one sequence overlaps the end of the other)

Reference for Sim4:
L. Florea, G. Hartzell, Z. Zhang, G. Rubin, and W. Miller (1998)
"A computer program for aligning a cDNA sequence with a genomic DNA sequence."
Genome Research 8, 967-974.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}.%{split_version}
%patch

%build
%make

%install
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT README.sim4 VERSION
%{_bindir}/%{name}

%changelog
* Sat Jan 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 20020303-1mdk
- first mdk release with a spec stolen from Luc Ducazu <luc@biolinux.org>
